System 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Method | System.AttributeTargets.Property | System.AttributeTargets.Event | System.AttributeTargets.All)

The default is the name of the property or event. The default implementation of uses reflection to search the public properties and public void methods that take no arguments. searches for the on each property and method and, if found, uses that string instead of the property or method name.

Specifies the display name for a property, event, or public void method which takes no arguments.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the display name.

  The display name.
- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DisplayNameAttribute To be added.

  Specifies the default value for the . This field is read-only.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the display name for a property, event, or public void method that takes no arguments stored in this attribute.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the display name.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether two instances are equal.

  true if the value of the given object is equal to that of the current object; otherwise, false.

  The to test the value equality of.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A hash code for the current .

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Determines if this attribute is the default.

  true if the attribute is the default value for this attribute class; otherwise, false.